#
# spec file for package xcb-imdkit
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _suffix 1
Name:           xcb-imdkit
Version:        1.0.9
Release:        1.3
Summary:        An implementation of xim protocol in xcb
License:        LGPL-2.1-only
Group:          Development/Libraries/C and C++
URL:            https://github.com/fcitx/xcb-imdkit
Source:         https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  zstd

%description
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the
implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory
foot print, better performance, and safer on malformed client.

%package -n libxcb-imdkit%{_suffix}
Summary:        An implementation of xim protocol in xcb
Group:          System/Libraries

%description -n libxcb-imdkit%{_suffix}
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the
implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory
foot print, better performance, and safer on malformed client.

%package devel
Summary:        Development files for xcb-imdkit
Group:          Development/Libraries/C and C++
Requires:       libxcb-imdkit%{_suffix} = %{version}

%description devel
This package provides development files for xcb-imdkit.

%prep
%setup -q

%build
%cmake
%make_build

%install
%cmake_install

%post -n libxcb-imdkit%{_suffix} -p /sbin/ldconfig
%postun -n libxcb-imdkit%{_suffix} -p /sbin/ldconfig

%files -n libxcb-imdkit%{_suffix}
%doc README.md
%license LICENSES
%{_libdir}/libxcb-imdkit.so.%{_suffix}
%{_libdir}/libxcb-imdkit.so.%{version}

%files devel
%{_includedir}/xcb-imdkit
%{_libdir}/cmake/XCBImdkit
%{_libdir}/libxcb-imdkit.so
%{_libdir}/pkgconfig/xcb-imdkit.pc

%changelog
* Fri Aug 23 2024 ming li <mli@suse.com>
- update to 1.0.9:
  * Add clang format to action
* Wed May 22 2024 Marguerite Su <i@marguerite.su>
- update to 1.0.8:
  * Fix a minor issue that sequence number does not match
    libx11 implementation
* Sun Mar 17 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0.7:
  * Change member order to decrease padding
  * Remove unnecessary do while(0)
* Sat Jan 27 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0.6:
  * Try alternative way to set event mask
* Mon Mar 27 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.5:
  * Make the client demo to be more realistic, including handling the input
    method server quits
* Tue Nov 22 2022 Marguerite Su <i@marguerite.su>
- update version 1.0.4
  * Fix reading client messages when Xlib sends messages too fast.
    Also avoid to infinitely increase the property name when sending
    new messages but use a longer loop to avoid issues of X property
    atom re-usage like Xlib
* Thu Apr 22 2021 Marguerite Su <i@marguerite.su>
- update version 1.0.3
  * Add utf8 encoding support in server, also fix
    encoding negotiation.
* Sat Jan 30 2021 Marguerite Su <i@marguerite.su>
- update version 1.0.2
  * Deprecated xcb_xim_check_trigger_key and introduce
    xcb_xim_check_trigger_on_key / xcb_xim_check_trigger_off_key.
* Sun Dec  6 2020 Marguerite Su <i@marguerite.su>
- update version 1.0.1
* Sun Nov  8 2020 Marguerite Su <i@marguerite.su>
- update version 1.0.0
* Wed Sep  2 2020 Marguerite Su <i@marguerite.su>
- update to 0.1.0+git20200807.d6609a7
* Wed Mar  4 2020 Xu Zhao <i@xuzhao.net>
- update to 0.1.0+git20191111.bb2f10c
* Sat Aug 25 2018 i@marguerite.su
- initial package
